Skip to main content
POST
/
documents
/
sections
/
{sectionID}
/
versions
/
cURL
curl --request POST \
  --url https://api.{environment}.corti.app/v2/documents/sections/{sectionID}/versions/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Tenant-Name: <tenant-name>' \
  --data '
{
  "generation": {
    "heading": "<string>",
    "instructions": {
      "contentPrompt": "<string>",
      "writingStylePrompt": "<string>",
      "miscPrompt": "<string>"
    },
    "outputSchema": {
      "type": "string",
      "description": "<string>",
      "default": "<string>",
      "enum": [
        "<string>"
      ],
      "pattern": "<string>"
    }
  }
}
'
import { CortiClient, CortiEnvironment } from "@corti/sdk";

const client = new CortiClient({
environment: CortiEnvironment.Eu,
auth: {
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET"
},
tenantName: "YOUR_TENANT_NAME"
});
await client.documents.sections.versions.create("sectionID", {
generation: {}
});
using Corti.Documents.Sections;
using Corti;

var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Documents.Sections.Versions.CreateAsync(
"sectionID",
new GuidedSectionsCreateVersionRequest { Generation = new GuidedSectionGenerationPartial() }
);
import requests

url = "https://api.{environment}.corti.app/v2/documents/sections/{sectionID}/versions/"

payload = { "generation": {
"heading": "<string>",
"instructions": {
"contentPrompt": "<string>",
"writingStylePrompt": "<string>",
"miscPrompt": "<string>"
},
"outputSchema": {
"type": "string",
"description": "<string>",
"default": "<string>",
"enum": ["<string>"],
"pattern": "<string>"
}
} }
headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/documents/sections/{sectionID}/versions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'generation' => [
'heading' => '<string>',
'instructions' => [
'contentPrompt' => '<string>',
'writingStylePrompt' => '<string>',
'miscPrompt' => '<string>'
],
'outputSchema' => [
'type' => 'string',
'description' => '<string>',
'default' => '<string>',
'enum' => [
'<string>'
],
'pattern' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Tenant-Name: <tenant-name>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.{environment}.corti.app/v2/documents/sections/{sectionID}/versions/"

payload := strings.NewReader("{\n \"generation\": {\n \"heading\": \"<string>\",\n \"instructions\": {\n \"contentPrompt\": \"<string>\",\n \"writingStylePrompt\": \"<string>\",\n \"miscPrompt\": \"<string>\"\n },\n \"outputSchema\": {\n \"type\": \"string\",\n \"description\": \"<string>\",\n \"default\": \"<string>\",\n \"enum\": [\n \"<string>\"\n ],\n \"pattern\": \"<string>\"\n }\n }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://api.{environment}.corti.app/v2/documents/sections/{sectionID}/versions/")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"generation\": {\n \"heading\": \"<string>\",\n \"instructions\": {\n \"contentPrompt\": \"<string>\",\n \"writingStylePrompt\": \"<string>\",\n \"miscPrompt\": \"<string>\"\n },\n \"outputSchema\": {\n \"type\": \"string\",\n \"description\": \"<string>\",\n \"default\": \"<string>\",\n \"enum\": [\n \"<string>\"\n ],\n \"pattern\": \"<string>\"\n }\n }\n}")
.asString();
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "versionNumber": 123,
  "generation": {
    "heading": "<string>",
    "instructions": {
      "contentPrompt": "<string>",
      "writingStylePrompt": "<string>",
      "miscPrompt": "<string>"
    },
    "outputSchema": {
      "type": "string",
      "description": "<string>",
      "default": "<string>",
      "enum": [
        "<string>"
      ],
      "pattern": "<string>"
    }
  },
  "deletedAt": "2023-11-07T05:31:56Z"
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}

Authorizations

Authorization
string
header
required

Input your token

Headers

Tenant-Name
string
required

Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.

Example:

"base"

Path Parameters

sectionID
string<uuid>
required

Body

application/json
generation
object
required

Partial form of GuidedSectionGeneration used when inheriting from another section. Any field omitted is inherited from the referenced section.

Response

Created — returns raw (unresolved) section version

A section version. When embedded inside a Section resource (e.g. GET /sections/:id), inheritance is fully resolved. When returned directly from version endpoints (GET/LIST/POST .../versions/...), contains raw authored values without inheritance.

id
string<uuid>
required

The UUID of the section version.

versionNumber
integer
required

Starts at 0 and auto-increments.

generation
object
required
deletedAt
string<date-time> | null

Present when the section version has been deleted.